import React from 'react';
import { View, Text, StyleSheet, Pressable } from 'react-native';
import { useRoute } from '@react-navigation/native';
export const ConfirmarTransaccion = () => {
  const route = useRoute();
  const dataTransaccion = route.params.dataTransaccion;
  const amount = dataTransaccion.datosDebtor.data.transaction.amount;
  console.log(amount);
  const debtor = dataTransaccion.datosDebtor.data.debtor;
  const creditor = dataTransaccion.datosDebtor.data.creditor;
  let dataConvert = dataTransaccion.datosDocument.data.accountingDate;
  const dataConvert2 = dataConvert.substring(0, 2) + '/' + dataConvert.substring(2, 4) + '/' + dataConvert.substring(4, 8);
  console.log(dataTransaccion);
  return /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.textoCuenta
  }, "Ha pagado ", amount ? parseFloat(amount).toFixed(2) : 0.0, "$ a", ' ', debtor && debtor.customer.fullName ? debtor.customer.fullName.toUpperCase() : ''), /*#__PURE__*/React.createElement(View, {
    style: styles.info
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.seccion
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.subsecciones
  }, /*#__PURE__*/React.createElement(Text, null, " Valor: "), /*#__PURE__*/React.createElement(Text, null, amount))), /*#__PURE__*/React.createElement(View, {
    style: styles.seccion
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.subsecciones
  }, /*#__PURE__*/React.createElement(Text, null, " De: "), /*#__PURE__*/React.createElement(Text, null, creditor.customer.fullName)), /*#__PURE__*/React.createElement(View, {
    style: styles.subsecciones
  }, /*#__PURE__*/React.createElement(Text, null, " Desde la cuenta: "), /*#__PURE__*/React.createElement(Text, null, debtor.account.accountId)), /*#__PURE__*/React.createElement(View, {
    style: styles.subsecciones
  }, /*#__PURE__*/React.createElement(Text, null, "A la cuenta: "), /*#__PURE__*/React.createElement(Text, null, debtor.account.accountId)), /*#__PURE__*/React.createElement(View, {
    style: styles.subsecciones
  }, /*#__PURE__*/React.createElement(Text, null, " Telefono "), /*#__PURE__*/React.createElement(Text, null, "0996730142"))), /*#__PURE__*/React.createElement(View, {
    style: styles.seccion
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.subsecciones
  }, /*#__PURE__*/React.createElement(Text, null, " Fecha de pago: "), /*#__PURE__*/React.createElement(Text, null, dataConvert2)), /*#__PURE__*/React.createElement(View, {
    style: styles.subsecciones
  }, /*#__PURE__*/React.createElement(Text, null, " Nro Comprobante: "), /*#__PURE__*/React.createElement(Text, null, dataTransaccion.datosDocument.data.businessDocumentId))), /*#__PURE__*/React.createElement(View, {
    style: styles.seccion
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.comprobante
  }, "Compartir Comprobante"))), /*#__PURE__*/React.createElement(Pressable, {
    style: styles.Btn
  }, /*#__PURE__*/React.createElement(Text, null, "Continuar")));
};
const styles = StyleSheet.create({
  textoCuenta: {
    fontWeight: 'bold',
    fontSize: 20,
    width: 200,
    textAlign: 'center'
  },
  container: {
    padding: 20,
    flex: 1,
    alignItems: 'center',
    backgroundColor: '#FFFFFF'
  },
  icono: {
    fontSize: 30,
    color: '#422d4e',
    padding: 15
  },
  containerIcono: {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  info: {
    marginTop: 20,
    borderTopColor: 'black',
    borderTopWidth: 1,
    backgroundColor: '#ececec',
    width: '100%'
  },
  seccion: {
    borderTopColor: 'black',
    borderTopWidth: 0.3,
    backgroundColor: '#efefef',
    width: '100%'
  },
  subsecciones: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    paddingTop: 5,
    paddingBottom: 5,
    paddingLeft: 15,
    paddingRight: 15
  },
  comprobante: {
    padding: 20,
    textAlign: 'center',
    fontWeight: 'bold'
  },
  iconoShare: {
    fontSize: 25
  },
  Btn: {
    width: '100%',
    backgroundColor: '#FFDD00',
    padding: 15,
    marginTop: 35,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  }
});
//# sourceMappingURL=ConfirmarTransaccion.js.map